Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.executor
Class FlowExecutionResult

    java.lang.Object
      org.springframework.webflow.executor.FlowExecutionResult

    public class FlowExecutionResult

extends java.lang.Object

A value object providing information about the result of a flow execution request.

Author:
  Keith Donald

Method Summary
`static FlowExecutionResult` | `createEndedResult(java.lang.String flowId, FlowExecutionOutcome outcome)` Factory method that creates a ended result, indicating the flow terminated after handling the request.
`static FlowExecutionResult` | `createPausedResult(java.lang.String flowId, java.lang.String flowExecutionKey)` Factory method that creates a paused result, indicating the flow is now in a wait state after handling the request.
`java.lang.String` | `getFlowId()` Returns the flow definition that completed execution.
`FlowExecutionOutcome` | `getOutcome()` Returns the flow execution outcome when an ended result.
`java.lang.String` | `getPausedKey()` Returns the key needed to resume the flow execution when a paused result.
`boolean` | `isEnded()` Returns true if the flow execution ended.
`boolean` | `isPaused()` Returns true if the flow execution paused and is now in a wait state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createPausedResult

    public static FlowExecutionResult createPausedResult(java.lang.String flowId,
                                                         java.lang.String flowExecutionKey)

  Factory method that creates a paused result, indicating the flow is now in a wait state after handling the request.

  Parameters:
    `flowId` - the flow id
    `flowExecutionKey` - the flow execution key
  Returns:
    the result

### createEndedResult

    public static FlowExecutionResult createEndedResult(java.lang.String flowId,
                                                        FlowExecutionOutcome outcome)

  Factory method that creates a ended result, indicating the flow terminated after handling the request.

  Parameters:
    `flowId` - the flow id
    `outcome` - the ending execution outcome
  Returns:
    the result

### getFlowId

    public java.lang.String getFlowId()

  Returns the flow definition that completed execution.

  Returns:
    the flow id

### isPaused

    public boolean isPaused()

  Returns true if the flow execution paused and is now in a wait state.

  Returns:
    true if paused, false if not

### getPausedKey

    public java.lang.String getPausedKey()

  Returns the key needed to resume the flow execution when a paused result.

  Returns:
    the key of the paused flow execution
  See Also:
    `isPaused()`

### isEnded

    public boolean isEnded()

  Returns true if the flow execution ended.

  Returns:
    true if ended, false if not

### getOutcome

    public FlowExecutionOutcome getOutcome()

  Returns the flow execution outcome when an ended result.

  Returns:
    the ended outcome, or `null` if this is not an ended result
  See Also:
    `isEnded()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD